Установка docker-ce в Rocky 8

Содержание
Введение
Удалить podman и buildah
Добавить репозиторий
Установить docker-ce
repolist
Проверить доступные версии
Установить определённую версию
Установка yum-utils
Firewall
Статьи про Rocky:

Введение

Rocky 8 это форк CentOS 8 в которой появились такие инструменты как buildah и podman

Одновременно с этим возникла проблема c Docker

RHEL8 firewalld и docker-ce не совместимы друг с другом из коробки

docker-ce означает Docker Community Edition установить пакеты, зависящие от docker-ce в Rocky 8 сложнее чем в CentOS 7

Здесь вы можете изучить как радикальное решение проблемы в виде удаления podman так и способы подшаманить с версией docker-ce

Удалить podman и buildah

Если вы не пользуетесь podman можно его полностью удалить из Rocky

Коротко

sudo dnf erase -y podman buildah
sudo dnf install -y docker-ce docker-ce-cli containerd.io

Подробно

Ради интереса моно проверить версию, но если вы видели сообщение о конфликте то видели и версию podman

podman --version

podman version 3.2.3

Удалите podman и buldah вместе либо раздельно

sudo yum erase -y podman buildah

yum remove -y podman

Пропустить

Dependencies resolved. ========================================================================================================================================= Package Architecture Version Repository Size ========================================================================================================================================= Removing: podman x86_64 3.2.3-0.10.module_el8.4.0+886+c9a8d9ad @appstream 48 M Removing dependent packages: cockpit-podman noarch 32-2.module_el8.4.0+886+c9a8d9ad @appstream 410 k podman-docker noarch 3.2.3-0.10.module_el8.4.0+886+c9a8d9ad @appstream 230 Removing unused dependencies: conmon x86_64 2:2.0.29-1.module_el8.4.0+886+c9a8d9ad @appstream 164 k podman-catatonit x86_64 3.2.3-0.10.module_el8.4.0+886+c9a8d9ad @appstream 752 k Transaction Summary ========================================================================================================================================= Remove 5 Packages Freed space: 50 M Running transaction check Transaction check succeeded. Running transaction test Transaction test succeeded. Running transaction Preparing : 1/1 Running scriptlet: podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch 1/1 Erasing : podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch 1/5 Erasing : cockpit-podman-32-2.module_el8.4.0+886+c9a8d9ad.noarch 2/5 Erasing : podman-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.x86_64 3/5 Running scriptlet: podman-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.x86_64 3/5 Erasing : podman-catatonit-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.x86_64 4/5 Erasing : conmon-2:2.0.29-1.module_el8.4.0+886+c9a8d9ad.x86_64 5/5 Running scriptlet: conmon-2:2.0.29-1.module_el8.4.0+886+c9a8d9ad.x86_64 5/5 Verifying : cockpit-podman-32-2.module_el8.4.0+886+c9a8d9ad.noarch 1/5 Verifying : conmon-2:2.0.29-1.module_el8.4.0+886+c9a8d9ad.x86_64 2/5 Verifying : podman-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.x86_64 3/5 Verifying : podman-catatonit-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.x86_64 4/5 Verifying : podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch 5/5 Installed products updated. Removed: cockpit-podman-32-2.module_el8.4.0+886+c9a8d9ad.noarch conmon-2:2.0.29-1.module_el8.4.0+886+c9a8d9ad.x86_64 podman-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.x86_64 podman-catatonit-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.x86_64 podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch Complete!

sudo dnf erase -y buildah

Пропустить

Dependencies resolved. ========================================================================================================================================= Package Architecture Version Repository Size ========================================================================================================================================= Removing: buildah x86_64 1.21.4-1.module_el8.4.0+886+c9a8d9ad @appstream 30 M Removing unused dependencies: container-selinux noarch 2:2.164.1-1.module_el8.4.0+886+c9a8d9ad @appstream 47 k containers-common x86_64 1:1.3.1-5.module_el8.4.0+886+c9a8d9ad @appstream 231 k criu x86_64 3.15-1.module_el8.4.0+641+6116a774 @appstream 1.4 M fuse-overlayfs x86_64 1.6-1.module_el8.4.0+886+c9a8d9ad @appstream 145 k fuse3 x86_64 3.2.1-12.el8 @baseos 90 k fuse3-libs x86_64 3.2.1-12.el8 @anaconda 279 k libnet x86_64 1.1.6-15.el8 @AppStream 170 k libslirp x86_64 4.3.1-1.module_el8.4.0+575+63b40ad7 @appstream 129 k runc x86_64 1.0.0-74.rc95.module_el8.4.0+886+c9a8d9ad @appstream 12 M slirp4netns x86_64 1.1.8-1.module_el8.4.0+641+6116a774 @appstream 98 k Transaction Summary ========================================================================================================================================= Remove 11 Packages Freed space: 44 M Running transaction check Transaction check succeeded. Running transaction test Transaction test succeeded. Running transaction Preparing : 1/1 Erasing : buildah-1.21.4-1.module_el8.4.0+886+c9a8d9ad.x86_64 1/11 Erasing : containers-common-1:1.3.1-5.module_el8.4.0+886+c9a8d9ad.x86_64 2/11 Running scriptlet: container-selinux-2:2.164.1-1.module_el8.4.0+886+c9a8d9ad.noarch 3/11 Erasing : container-selinux-2:2.164.1-1.module_el8.4.0+886+c9a8d9ad.noarch 3/11 Running scriptlet: container-selinux-2:2.164.1-1.module_el8.4.0+886+c9a8d9ad.noarch 3/11 Erasing : fuse-overlayfs-1.6-1.module_el8.4.0+886+c9a8d9ad.x86_64 4/11 Erasing : slirp4netns-1.1.8-1.module_el8.4.0+641+6116a774.x86_64 5/11 Erasing : runc-1.0.0-74.rc95.module_el8.4.0+886+c9a8d9ad.x86_64 6/11 Erasing : criu-3.15-1.module_el8.4.0+641+6116a774.x86_64 7/11 Erasing : libnet-1.1.6-15.el8.x86_64 8/11 Running scriptlet: libnet-1.1.6-15.el8.x86_64 8/11 Erasing : libslirp-4.3.1-1.module_el8.4.0+575+63b40ad7.x86_64 9/11 Erasing : fuse3-3.2.1-12.el8.x86_64 10/11 Erasing : fuse3-libs-3.2.1-12.el8.x86_64 11/11 Running scriptlet: fuse3-libs-3.2.1-12.el8.x86_64 11/11 Verifying : buildah-1.21.4-1.module_el8.4.0+886+c9a8d9ad.x86_64 1/11 Verifying : container-selinux-2:2.164.1-1.module_el8.4.0+886+c9a8d9ad.noarch 2/11 Verifying : containers-common-1:1.3.1-5.module_el8.4.0+886+c9a8d9ad.x86_64 3/11 Verifying : criu-3.15-1.module_el8.4.0+641+6116a774.x86_64 4/11 Verifying : fuse-overlayfs-1.6-1.module_el8.4.0+886+c9a8d9ad.x86_64 5/11 Verifying : fuse3-3.2.1-12.el8.x86_64 6/11 Verifying : fuse3-libs-3.2.1-12.el8.x86_64 7/11 Verifying : libnet-1.1.6-15.el8.x86_64 8/11 Verifying : libslirp-4.3.1-1.module_el8.4.0+575+63b40ad7.x86_64 9/11 Verifying : runc-1.0.0-74.rc95.module_el8.4.0+886+c9a8d9ad.x86_64 10/11 Verifying : slirp4netns-1.1.8-1.module_el8.4.0+641+6116a774.x86_64 11/11 Installed products updated. Removed: buildah-1.21.4-1.module_el8.4.0+886+c9a8d9ad.x86_64 container-selinux-2:2.164.1-1.module_el8.4.0+886+c9a8d9ad.noarch containers-common-1:1.3.1-5.module_el8.4.0+886+c9a8d9ad.x86_64 criu-3.15-1.module_el8.4.0+641+6116a774.x86_64 fuse-overlayfs-1.6-1.module_el8.4.0+886+c9a8d9ad.x86_64 fuse3-3.2.1-12.el8.x86_64 fuse3-libs-3.2.1-12.el8.x86_64 libnet-1.1.6-15.el8.x86_64 libslirp-4.3.1-1.module_el8.4.0+575+63b40ad7.x86_64 runc-1.0.0-74.rc95.module_el8.4.0+886+c9a8d9ad.x86_64 slirp4netns-1.1.8-1.module_el8.4.0+641+6116a774.x86_64 Complete!

dnf config-manager: Добавить репозиторий

Проверить есть ли docker-ce в имеющихся репозиториях

dnf list docker-ce

Если его нет, вы увидите, что-то похожее

Rocky Linux 8 - AppStream 8.1 MB/s | 8.7 MB 00:01 Rocky Linux 8 - BaseOS 7.1 MB/s | 5.6 MB 00:00 Rocky Linux 8 - Extras 13 kB/s | 4.3 kB 00:00 Extra Packages for Enterprise Linux Modular 8 - x86_64 1.3 MB/s | 931 kB 00:00 Extra Packages for Enterprise Linux 8 - x86_64 7.1 MB/s | 10 MB 00:01

Для добавления docker-ce в Rocky пока что используется CentOS репозиторий .

sudo dnf config-manager --add-repo=https://download.docker.com/linux/centos/docker-ce.repo

Теперь проверка dnf list docker-ce даст следующий результат

Docker CE Stable - x86_64 98 kB/s | 15 kB 00:00 Available Packages docker-ce.x86_64 3:20.10.8-3.el8 docker-ce-stable

Установка docker-ce

Теперь можно установить docker-ce

sudo dnf install -y docker-ce

Или

sudo dnf install docker-ce docker-ce-cli containerd.io

Пропустить

Last metadata expiration check: 0:01:49 ago on Sat 18 Sep 2021 10:23:40 AM EDT. Dependencies resolved. ========================================================================================================================================= Package Architecture Version Repository Size ========================================================================================================================================= Installing: docker-ce x86_64 3:20.10.8-3.el8 docker-ce-stable 22 M Installing dependencies: container-selinux noarch 2:2.164.1-1.module_el8.4.0+886+c9a8d9ad appstream 52 k containerd.io x86_64 1.4.9-3.1.el8 docker-ce-stable 30 M docker-ce-cli x86_64 1:20.10.8-3.el8 docker-ce-stable 29 M docker-ce-rootless-extras x86_64 20.10.8-3.el8 docker-ce-stable 4.6 M docker-scan-plugin x86_64 0.8.0-3.el8 docker-ce-stable 4.2 M fuse-overlayfs x86_64 1.6-1.module_el8.4.0+886+c9a8d9ad appstream 73 k fuse3 x86_64 3.2.1-12.el8 baseos 50 k fuse3-libs x86_64 3.2.1-12.el8 baseos 94 k libcgroup x86_64 0.41-19.el8 baseos 70 k libslirp x86_64 4.3.1-1.module_el8.4.0+575+63b40ad7 appstream 69 k slirp4netns x86_64 1.1.8-1.module_el8.4.0+641+6116a774 appstream 51 k Transaction Summary ========================================================================================================================================= Install 12 Packages Total download size: 90 M Installed size: 377 M Downloading Packages: (1/12): container-selinux-2.164.1-1.module_el8.4.0+886+c9a8d9ad.noarch.rpm 727 kB/s | 52 kB 00:00 (2/12): fuse-overlayfs-1.6-1.module_el8.4.0+886+c9a8d9ad.x86_64.rpm 983 kB/s | 73 kB 00:00 (3/12): libslirp-4.3.1-1.module_el8.4.0+575+63b40ad7.x86_64.rpm 918 kB/s | 69 kB 00:00 (4/12): slirp4netns-1.1.8-1.module_el8.4.0+641+6116a774.x86_64.rpm 1.5 MB/s | 51 kB 00:00 (5/12): fuse3-3.2.1-12.el8.x86_64.rpm 1.5 MB/s | 50 kB 00:00 (6/12): fuse3-libs-3.2.1-12.el8.x86_64.rpm 2.6 MB/s | 94 kB 00:00 (7/12): libcgroup-0.41-19.el8.x86_64.rpm 2.9 MB/s | 70 kB 00:00 (8/12): containerd.io-1.4.9-3.1.el8.x86_64.rpm 3.0 MB/s | 30 MB 00:09 (9/12): docker-ce-rootless-extras-20.10.8-3.el8.x86_64.rpm 2.5 MB/s | 4.6 MB 00:01 (10/12): docker-ce-20.10.8-3.el8.x86_64.rpm 1.6 MB/s | 22 MB 00:13 (11/12): docker-scan-plugin-0.8.0-3.el8.x86_64.rpm 2.1 MB/s | 4.2 MB 00:02 (12/12): docker-ce-cli-20.10.8-3.el8.x86_64.rpm 1.7 MB/s | 29 MB 00:16 ----------------------------------------------------------------------------------------------------------------------------------------- Total 5.2 MB/s | 90 MB 00:17 warning: /var/cache/dnf/docker-ce-stable-fa9dc42ab4cec2f4/packages/containerd.io-1.4.9-3.1.el8.x86_64.rpm: Header V4 RSA/SHA512 Signature, key ID 621e9f35: NOKEY Docker CE Stable - x86_64 8.8 kB/s | 1.6 kB 00:00 Importing GPG key 0x621E9F35: Userid : "Docker Release (CE rpm) <docker@docker.com>" Fingerprint: 060A 61C5 1B55 8A7F 742B 77AA C52F EB6B 621E 9F35 From : https://download.docker.com/linux/rocky/gpg Key imported successfully Running transaction check Transaction check succeeded. Running transaction test Transaction test succeeded. Running transaction Preparing : 1/1 Installing : docker-scan-plugin-0.8.0-3.el8.x86_64 1/12 Running scriptlet: docker-scan-plugin-0.8.0-3.el8.x86_64 1/12 Installing : docker-ce-cli-1:20.10.8-3.el8.x86_64 2/12 Running scriptlet: docker-ce-cli-1:20.10.8-3.el8.x86_64 2/12 Running scriptlet: container-selinux-2:2.164.1-1.module_el8.4.0+886+c9a8d9ad.noarch 3/12 Installing : container-selinux-2:2.164.1-1.module_el8.4.0+886+c9a8d9ad.noarch 3/12 Running scriptlet: container-selinux-2:2.164.1-1.module_el8.4.0+886+c9a8d9ad.noarch 3/12 Installing : containerd.io-1.4.9-3.1.el8.x86_64 4/12 Running scriptlet: containerd.io-1.4.9-3.1.el8.x86_64 4/12 Running scriptlet: libcgroup-0.41-19.el8.x86_64 5/12 Installing : libcgroup-0.41-19.el8.x86_64 5/12 Running scriptlet: libcgroup-0.41-19.el8.x86_64 5/12 Installing : fuse3-libs-3.2.1-12.el8.x86_64 6/12 Running scriptlet: fuse3-libs-3.2.1-12.el8.x86_64 6/12 Installing : fuse3-3.2.1-12.el8.x86_64 7/12 Installing : fuse-overlayfs-1.6-1.module_el8.4.0+886+c9a8d9ad.x86_64 8/12 Running scriptlet: fuse-overlayfs-1.6-1.module_el8.4.0+886+c9a8d9ad.x86_64 8/12 Installing : libslirp-4.3.1-1.module_el8.4.0+575+63b40ad7.x86_64 9/12 Installing : slirp4netns-1.1.8-1.module_el8.4.0+641+6116a774.x86_64 10/12 Installing : docker-ce-rootless-extras-20.10.8-3.el8.x86_64 11/12 Running scriptlet: docker-ce-rootless-extras-20.10.8-3.el8.x86_64 11/12 Installing : docker-ce-3:20.10.8-3.el8.x86_64 12/12 Running scriptlet: docker-ce-3:20.10.8-3.el8.x86_64 12/12 Running scriptlet: container-selinux-2:2.164.1-1.module_el8.4.0+886+c9a8d9ad.noarch 12/12 Running scriptlet: docker-ce-3:20.10.8-3.el8.x86_64 12/12 Verifying : container-selinux-2:2.164.1-1.module_el8.4.0+886+c9a8d9ad.noarch 1/12 Verifying : fuse-overlayfs-1.6-1.module_el8.4.0+886+c9a8d9ad.x86_64 2/12 Verifying : libslirp-4.3.1-1.module_el8.4.0+575+63b40ad7.x86_64 3/12 Verifying : slirp4netns-1.1.8-1.module_el8.4.0+641+6116a774.x86_64 4/12 Verifying : fuse3-3.2.1-12.el8.x86_64 5/12 Verifying : fuse3-libs-3.2.1-12.el8.x86_64 6/12 Verifying : libcgroup-0.41-19.el8.x86_64 7/12 Verifying : containerd.io-1.4.9-3.1.el8.x86_64 8/12 Verifying : docker-ce-3:20.10.8-3.el8.x86_64 9/12 Verifying : docker-ce-cli-1:20.10.8-3.el8.x86_64 10/12 Verifying : docker-ce-rootless-extras-20.10.8-3.el8.x86_64 11/12 Verifying : docker-scan-plugin-0.8.0-3.el8.x86_64 12/12 Installed products updated. Installed: container-selinux-2:2.164.1-1.module_el8.4.0+886+c9a8d9ad.noarch containerd.io-1.4.9-3.1.el8.x86_64 docker-ce-3:20.10.8-3.el8.x86_64 docker-ce-cli-1:20.10.8-3.el8.x86_64 docker-ce-rootless-extras-20.10.8-3.el8.x86_64 docker-scan-plugin-0.8.0-3.el8.x86_64 fuse-overlayfs-1.6-1.module_el8.4.0+886+c9a8d9ad.x86_64 fuse3-3.2.1-12.el8.x86_64 fuse3-libs-3.2.1-12.el8.x86_64 libcgroup-0.41-19.el8.x86_64 libslirp-4.3.1-1.module_el8.4.0+575+63b40ad7.x86_64 slirp4netns-1.1.8-1.module_el8.4.0+641+6116a774.x86_64 Complete!

После того как docker-ce установился проблемы с зависимостями должны исчезнуть

Не удаляя podman и buildah

Если удалять podman и/или buildah вы не хотите - есть ряд советов про обход конфликта.

Результат может зависеть от вашей системы и не гарантирован

Отпишитесь в телеграм aofeedchat какой способо сработал у вас

repolist

sudo dnf repolist -v

Пропустить

Loaded plugins: builddep, changelog, config-manager, copr, debug, debuginfo-install, download, generate_completion_cache, groups-manager, kpatch, needs-restarting, playground, product-id, repoclosure, repodiff, repograph, repomanage, reposync, uploadprofile DNF version: 4.4.2 cachedir: /var/cache/dnf Last metadata expiration check: 0:19:49 ago on Sat 18 Sep 2021 10:23:40 AM EDT. Repo-id : appstream Repo-name : Rocky Linux 8 - AppStream Repo-revision : 8.4.2105 Repo-distro-tags : [cpe:/o:rocky:rocky:8]: , 8, C, O, S, e, n, t Repo-updated : Mon 16 Aug 2021 01:48:49 PM EDT Repo-pkgs : 6,865 Repo-available-pkgs: 5,796 Repo-size : 11 G Repo-mirrors : http://mirrorlist.rocky.org/?release=8&arch=x86_64&repo=AppStream&infra=stock Repo-baseurl : http://mirror.hosthink.net/rocky/8.4.2105/AppStream/x86_64/os/ (9 more) Repo-expire : 172,800 second(s) (last: Mon 30 Aug 2021 06:30:07 AM EDT) Repo-filename : /etc/yum.repos.d/Rocky-Linux-AppStream.repo Repo-id : baseos Repo-name : Rocky Linux 8 - BaseOS Repo-revision : 8.4.2105 Repo-distro-tags : [cpe:/o:rocky:rocky:8]: , 8, C, O, S, e, n, t Repo-updated : Mon 16 Aug 2021 01:48:28 PM EDT Repo-pkgs : 2,059 Repo-available-pkgs: 2,057 Repo-size : 2.3 G Repo-mirrors : http://mirrorlist.rocky.org/?release=8&arch=x86_64&repo=BaseOS&infra=stock Repo-baseurl : http://mirror.hosthink.net/rocky/8.4.2105/BaseOS/x86_64/os/ (9 more) Repo-expire : 172,800 second(s) (last: Mon 30 Aug 2021 06:30:09 AM EDT) Repo-filename : /etc/yum.repos.d/Rocky-Linux-BaseOS.repo Repo-id : docker-ce-stable Repo-name : Docker CE Stable - x86_64 Repo-revision : 1628034135 Repo-updated : Tue 03 Aug 2021 07:42:15 PM EDT Repo-pkgs : 43 Repo-available-pkgs: 43 Repo-size : 1.0 G Repo-baseurl : https://download.docker.com/linux/rocky/8/x86_64/stable Repo-expire : 172,800 second(s) (last: Tue 31 Aug 2021 02:59:24 AM EDT) Repo-filename : /etc/yum.repos.d/docker-ce.repo Repo-id : epel Repo-name : Extra Packages for Enterprise Linux 8 - x86_64 Repo-revision : 1630356649 Repo-updated : Mon 30 Aug 2021 04:56:15 PM EDT Repo-pkgs : 7,663 Repo-available-pkgs: 7,663 Repo-size : 12 G Repo-metalink : https://mirrors.fedoraproject.org/metalink?repo=epel-8&arch=x86_64&infra=stock&content=rocky Updated : Tue 31 Aug 2021 02:51:29 AM EDT Repo-baseurl : http://ftp.lysator.liu.se/pub/epel/8/Everything/x86_64/ (150 more) Repo-expire : 172,800 second(s) (last: Tue 31 Aug 2021 02:51:29 AM EDT) Repo-filename : /etc/yum.repos.d/epel.repo Repo-id : epel-modular Repo-name : Extra Packages for Enterprise Linux Modular 8 - x86_64 Repo-revision : 1630012836 Repo-updated : Thu 26 Aug 2021 05:20:50 PM EDT Repo-pkgs : 257 Repo-available-pkgs: 0 Repo-size : 997 M Repo-metalink : https://mirrors.fedoraproject.org/metalink?repo=epel-modular-8&arch=x86_64&infra=stock&content=rocky Updated : Tue 31 Aug 2021 02:51:27 AM EDT Repo-baseurl : http://www.nic.funet.fi/pub/mirrors/fedora.redhat.com/pub/epel/8/Modular/x86_64/ (240 : more) Repo-expire : 172,800 second(s) (last: Tue 31 Aug 2021 02:51:27 AM EDT) Repo-filename : /etc/yum.repos.d/epel-modular.repo Repo-id : extras Repo-name : Rocky Linux 8 - Extras Repo-revision : 1627933445 Repo-updated : Mon 02 Aug 2021 03:43:21 PM EDT Repo-pkgs : 37 Repo-available-pkgs: 37 Repo-size : 416 k Repo-mirrors : http://mirrorlist.rocky.org/?release=8&arch=x86_64&repo=extras&infra=stock Repo-baseurl : http://rocky.mirror.far.fi/8.4.2105/extras/x86_64/os/ (9 more) Repo-expire : 172,800 second(s) (last: Mon 30 Aug 2021 06:30:11 AM EDT) Repo-filename : /etc/yum.repos.d/Rocky-Linux-Extras.repo Total packages: 16,924

Проверить доступные версии

dnf list docker-ce --showduplicates | sort -r

Last metadata expiration check: 0:03:06 ago on Sat 18 Sep 2021 10:23:40 AM EDT. docker-ce.x86_64 3:20.10.8-3.el8 docker-ce-stable docker-ce.x86_64 3:20.10.7-3.el8 docker-ce-stable docker-ce.x86_64 3:20.10.6-3.el8 docker-ce-stable docker-ce.x86_64 3:20.10.5-3.el8 docker-ce-stable docker-ce.x86_64 3:20.10.4-3.el8 docker-ce-stable docker-ce.x86_64 3:20.10.3-3.el8 docker-ce-stable docker-ce.x86_64 3:20.10.2-3.el8 docker-ce-stable docker-ce.x86_64 3:20.10.1-3.el8 docker-ce-stable docker-ce.x86_64 3:20.10.0-3.el8 docker-ce-stable docker-ce.x86_64 3:19.03.15-3.el docker-ce-stable docker-ce.x86_64 3:19.03.14-3.el docker-ce-stable docker-ce.x86_64 3:19.03.13-3.el docker-ce-stable Available Packages

Установка определённой версии

Выберите одну из доступных версий и попробуйте установить.

sudo dnf install docker-ce-3:20.10.8-3.el8

Если вам повезло, docker-ce установится

Установка yum-utils

sudo yum install yum-utils

Last metadata expiration check: 0:35:33 ago on Sat 18 Sep 2021 10:23:40 AM EDT. Dependencies resolved. ========================================================================================================== Package Architecture Version Repository Size ========================================================================================================== Installing: yum-utils noarch 4.0.18-4.el8 baseos 71 k Transaction Summary ========================================================================================================== Install 1 Package Total download size: 71 k Installed size: 22 k Is this ok [y/N]: y Downloading Packages: yum-utils-4.0.18-4.el8.noarch.rpm 583 kB/s | 71 kB 00:00 ---------------------------------------------------------------------------------------------------------- Total 269 kB/s | 71 kB 00:00 Running transaction check Transaction check succeeded. Running transaction test Transaction test succeeded. Running transaction Preparing : 1/1 Installing : yum-utils-4.0.18-4.el8.noarch 1/1 Running scriptlet: yum-utils-4.0.18-4.el8.noarch 1/1 Verifying : yum-utils-4.0.18-4.el8.noarch 1/1 Installed products updated. Installed: yum-utils-4.0.18-4.el8.noarch Complete!

yum-config-manager: добавить репозиторий

sudo yum-config-manager --add-repo=https://download.docker.com/linux/centos/docker-ce.repo

Adding repo from: https://download.docker.com/linux/centos/docker-ce.repo

Настройка firewall

sudo firewall-cmd --permanent --zone=trusted --add-interface=docker0

success

Ошибки

Если не решить проблему совместимости и попробовать установить .rpm зависящий от docker-ce результат будет примерно следующим:

Error: Problem: package andrei_be63114d9.rhel8.x86_64 requires docker-ce >= 1.13, but none of the providers can be installed - package docker-ce-3:19.03.13-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-6.module_el8.4.0+781+acf4c33b.noarch - package docker-ce-3:19.03.14-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-6.module_el8.4.0+781+acf4c33b.noarch - package docker-ce-3:19.03.15-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-6.module_el8.4.0+781+acf4c33b.noarch - package docker-ce-3:20.10.0-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-6.module_el8.4.0+781+acf4c33b.noarch - package docker-ce-3:20.10.1-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-6.module_el8.4.0+781+acf4c33b.noarch - package docker-ce-3:20.10.2-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-6.module_el8.4.0+781+acf4c33b.noarch - package docker-ce-3:20.10.3-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-6.module_el8.4.0+781+acf4c33b.noarch - package docker-ce-3:20.10.4-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-6.module_el8.4.0+781+acf4c33b.noarch - package docker-ce-3:20.10.5-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-6.module_el8.4.0+781+acf4c33b.noarch - package docker-ce-3:20.10.6-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-6.module_el8.4.0+781+acf4c33b.noarch - package docker-ce-3:20.10.7-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-6.module_el8.4.0+781+acf4c33b.noarch - package docker-ce-3:20.10.8-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-6.module_el8.4.0+781+acf4c33b.noarch - problem with installed package podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch - package docker-ce-3:19.03.13-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-7.module_el8.4.0+830+8027e1c4.noarch - package docker-ce-3:19.03.14-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-7.module_el8.4.0+830+8027e1c4.noarch - package docker-ce-3:19.03.15-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-7.module_el8.4.0+830+8027e1c4.noarch - package docker-ce-3:20.10.0-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-7.module_el8.4.0+830+8027e1c4.noarch - package docker-ce-3:20.10.1-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-7.module_el8.4.0+830+8027e1c4.noarch - package docker-ce-3:20.10.2-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-7.module_el8.4.0+830+8027e1c4.noarch - package docker-ce-3:20.10.3-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-7.module_el8.4.0+830+8027e1c4.noarch - package docker-ce-3:20.10.4-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-7.module_el8.4.0+830+8027e1c4.noarch - package docker-ce-3:20.10.5-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-7.module_el8.4.0+830+8027e1c4.noarch - package docker-ce-3:20.10.6-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-7.module_el8.4.0+830+8027e1c4.noarch - package docker-ce-3:20.10.7-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-7.module_el8.4.0+830+8027e1c4.noarch - package docker-ce-3:20.10.8-3.el8.x86_64 conflicts with docker provided by podman-docker-3.0.1-7.module_el8.4.0+830+8027e1c4.noarch - conflicting requests - package docker-ce-3:19.03.13-3.el8.x86_64 conflicts with docker provided by podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch - package docker-ce-3:19.03.14-3.el8.x86_64 conflicts with docker provided by podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch - package docker-ce-3:19.03.15-3.el8.x86_64 conflicts with docker provided by podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch - package docker-ce-3:20.10.0-3.el8.x86_64 conflicts with docker provided by podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch - package docker-ce-3:20.10.1-3.el8.x86_64 conflicts with docker provided by podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch - package docker-ce-3:20.10.2-3.el8.x86_64 conflicts with docker provided by podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch - package docker-ce-3:20.10.3-3.el8.x86_64 conflicts with docker provided by podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch - package docker-ce-3:20.10.4-3.el8.x86_64 conflicts with docker provided by podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch - package docker-ce-3:20.10.5-3.el8.x86_64 conflicts with docker provided by podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch - package docker-ce-3:20.10.6-3.el8.x86_64 conflicts with docker provided by podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch - package docker-ce-3:20.10.7-3.el8.x86_64 conflicts with docker provided by podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch - package docker-ce-3:20.10.8-3.el8.x86_64 conflicts with docker provided by podman-docker-3.2.3-0.10.module_el8.4.0+886+c9a8d9ad.noarch (try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Похожие статьи
Rocky Linux
Установка Rocky
Настройка сети в Rocky
Firewall
Дата и время
X Window System Rocky
XRDP: Удалённый рабочий стол
VNC: Удалённый рабочий стол
Изменить machine-id
Изменить ulimit
xclip: работа с буфером обмена
SELinux
docker-ce: установка в Rocky
dnf vs yum
FAQ
Ошибки
Docker
Контакты и сотрудничество:
Рекомендую наш хостинг beget.ru
Пишите на info@urn.su если Вы:
1. Хотите написать статью для нашего сайта или перевести статью на свой родной язык.
2. Хотите разместить на сайте рекламу, подходящуюю по тематике.
3. Реклама на моём сайте имеет максимальный уровень цензуры. Если Вы увидели рекламный блок недопустимый для просмотра детьми школьного возраста, вызывающий шок или вводящий в заблуждение - пожалуйста свяжитесь с нами по электронной почте
4. Нашли на сайте ошибку, неточности, баг и т.д. ... .......
5. Статьи можно расшарить в соцсетях, нажав на иконку сети: